## gopher 2.1.1-3

=== Makefile ===
#********************************************************************
# lindner
# 3.15
# 1994/12/07 23:58:19
# /home/mudhoney/GopherSrc/CVS/gopher+/Makefile,v
# Exp
#
# Paul Lindner, University of Minnesota CIS.
#
# Copyright 1991, 1992 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#********************************************************************
# MODULE: Makefile
# Makefile for entire gopher distribution.
#*********************************************************************
# Revision History:
# Makefile,v
# Revision 3.15  1994/12/07  23:58:19  lindner
# Fix for VMS zip builder
#
# Revision 3.14  1994/11/18  22:25:39  lindner
# Fix for quicktar
#
# Revision 3.13  1994/08/19  17:02:06  lindner
# Remove ZIP file before creating it..
#
# Revision 3.12  1994/01/07  20:52:01  lindner
# pl11
#
# Revision 3.11  1993/08/19  20:31:54  lindner
# minor fixes for quicktar
#
# Revision 3.10  1993/08/17  21:58:11  lindner
# Fix for dependencies, all
#
# Revision 3.9  1993/08/12  06:34:23  lindner
# Added quicktar..
#
# Revision 3.8  1993/08/05  22:22:40  lindner
# warning message for archive
#
# Revision 3.7  1993/07/27  05:32:28  lindner
# added gophfilt and zip stuff
#
# Revision 3.6  1993/07/21  16:15:58  lindner
# Added tags target, install for shared libraries
#
# Revision 3.5  1993/04/15  22:00:52  lindner
# Move to looking for ui for WAIS stuff
#
# Revision 3.4  1993/03/18  23:11:15  lindner
# 1.2b3 release
#
# Revision 3.3  1993/02/19  21:41:58  lindner
# Fix to automatically copy Makefile.config.dist when making a distribution.
#
# Revision 3.2  1993/02/19  21:24:24  lindner
# Mods for CVS
#
# Revision 3.1.1.1  1993/02/11  18:02:49  lindner
# Gopher+1.2beta release
#
# Revision 1.3  1992/12/29  23:30:22  lindner
# Removed all references to fanout and mindexd, it's in gopherd now..
#
# Revision 1.2  1992/12/11  19:32:00  lindner
# make tar now uses gnu tar, ignores RCS directorys and symbolic links
#
# Revision 1.1  1992/12/11  19:01:43  lindner
# Gopher1.1 Release
#
#********************************************************************/


include Makefile.config

all: objects server client gopherfilter
	@echo "Welcome to Gopher"

server: gopherd/gopherd
client: gopher/gopher
gopherfilter: gophfilt/gophfilt
objects: object/libgopher.a

gopherd/gopherd: object/libgopher.a gopherd/*.c gopherd/*.h conf.h
	@echo "Making server"
	@if [ -f /sdmach -a -d ./ui ]; then \
		(echo "Making server with NeXT and WAIS searching";\
		 cd gopherd; $(MAKE) $(MFLAGS) "SEARCH=-DNEXTSEARCH -DWAISSEARCH" nextwais);\
	elif [ -f /sdmach ]; then \
		(echo "Making server with NeXT searching";\
		 cd gopherd; $(MAKE) $(MFLAGS) "SEARCH=-DNEXTSEARCH" next); \
	elif [ -d ./ui ]; then \
		(echo "Making server with WAIS searching";\
		 cd gopherd; $(MAKE) $(MFLAGS) "SEARCH=-DWAISSEARCH" wais); \
	else (echo "Making data server"; cd gopherd; $(MAKE) $(MFLAGS) none) \
	fi

# gopher is dependant on conf.h - (as are other things)
gopher/gopher: object/libgopher.a conf.h gopher/*c gopher/*h
	@echo "Making client"
	(cd gopher; $(MAKE) $(MFLAGS))

gophfilt/gophfilt: object/libgopher.a conf.h gophfilt/*c
	@echo "Making gophfilt"
	(cd gophfilt; $(MAKE) $(MFLAGS))

object/libgopher.a: object/*c object/*h
	@echo "Making Objects"
	(cd object; $(MAKE) $(MFLAGS))

install:
	(cd object;   $(MAKE) $(MFLAGS) install);
	(cd gopher;   $(MAKE) $(MFLAGS) install);
	(cd gopherd;  $(MAKE) $(MFLAGS) install);
	(cd gophfilt; $(MAKE) $(MFLAGS) install);
	(cd doc;      $(MAKE) $(MFLAGS) install)

install_client:
	(cd object;   $(MAKE) $(MFLAGS) install);
	(cd gopher;   $(MAKE) $(MFLAGS) install);
	(cd gophfilt; $(MAKE) $(MFLAGS) install);
	(cd doc;      $(MAKE) $(MFLAGS) install_client)

install_server:
	(cd object;   $(MAKE) $(MFLAGS) install);
	(cd gopherd;  $(MAKE) $(MFLAGS) install);
	(cd doc;      $(MAKE) $(MFLAGS) install_server)


clean:
	(cd gopher; 	$(MAKE) $(MFLAGS) clean)
	(cd gopherd; 	$(MAKE) $(MFLAGS) clean)
	(cd object; 	$(MAKE) $(MFLAGS) clean)
	(cd gophfilt;   $(MAKE) $(MFLAGS) clean)
	(cd doc; 	$(MAKE) $(MFLAGS) clean)
	-rm -f "examples/Sample Directory/wais-index/index."*

spotless: clean
	-rm -f *~

archive: spotless
	-rm  -f ir ui bin MANIFEST
	touch MANIFEST
	cp Makefile.config.dist Makefile.config
	HERE=`basename $$PWD`; \
	echo $$HERE ; \
        cd .. ; \
	find $$HERE -type f -print |grep -v '.o$$' |grep -v '~$$' |grep -v 'CVS' >$$HERE/MANIFEST ; \
	/usr/gnu/bin/tar  -T $$HERE/MANIFEST -cZvf $$HERE.tar.Z ;\
	rm -f $$HERE.zip ; \
	egrep -v '^test' <$$HERE/MANIFEST | zip -@ $$HERE.zip;\
	@echo "Did you remember to update the patchlevel.h Paul?..."
	@echo "Hmmm...  Hmmmm...."

quicktar:
	HERE=`basename $$PWD`; \
	touch MANIFEST ; \
        cd .. ; \
	find $$HERE -type f -print |grep -v '.o$$' |grep -v '~$$' |grep -v 'CVS' >$$HERE/MANIFEST ; \
	/usr/gnu/bin/tar  -T $$HERE/MANIFEST -cZvf $$HERE.tar.Z ;

tags:
	etags `find . -print | egrep '\.[ch]$$'`

=== doc/Makefile ===
include ../Makefile.config

install:
	
	$(INSTALL)  gopherd.conf.5 $(MAN5DIR)
	$(INSTALL)  gopherd.8 $(MAN8DIR)
	$(INSTALL)  gopherindex.8 $(MAN8DIR)
	$(INSTALL)  gopher.1 $(MAN1DIR)
	$(INSTALL)  gophfilt.1 $(MAN1DIR)
	$(INSTALL)  gopherrc.5 $(MAN5DIR)

install_client:
	$(INSTALL_DIR) $(MAN1DIR)
	$(INSTALL_DIR) $(MAN5DIR)
	$(INSTALL_LIB) gopher.1 $(MAN1DIR)
	$(INSTALL_LIB) gophfilt.1 $(MAN1DIR)
	$(INSTALL_LIB) gopherrc.5 $(MAN5DIR)

install_server:
	$(INSTALL_DIR) $(MAN1DIR)
	$(INSTALL_DIR) $(MAN5DIR)
	$(INSTALL_DIR) $(MAN8DIR)
	$(INSTALL_LIB) gopherd.conf.5 $(MAN5DIR)
	$(INSTALL_LIB) gopherd.8 $(MAN8DIR)
	$(INSTALL_LIB) gopherindex.8 $(MAN1DIR)/gopherindex.1

all:
	$(NROFF)    gopherd.conf.5 >gopherd.conf.cat
	$(NROFF)    gopherd.8      >gopherd.cat
	$(NROFF)    gopherindex.8  >gopherindex.cat
	$(NROFF)    gopher.1       >gopher.cat
	$(NROFF)    gophfilt.1     >gophfilt.cat
	$(NROFF)    gopherrc.5     >gopherrc.cat

clean:
	-rm -f *~

=== gopher/Makefile ===
#********************************************************************
# lindner
# 3.14
# 1994/09/29 19:23:50
# /home/mudhoney/GopherSrc/CVS/gopher+/gopher/Makefile,v
# Exp
#
# Paul Lindner, University of Minnesota CIS.
#
# Copyright 1991, 1992 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#********************************************************************
# MODULE: Makefile
# Makefile for gopher client
#*********************************************************************
# Revision History:
# Makefile,v
# Revision 3.14  1994/09/29  19:23:50  lindner
# Make sure directories are made before installing
#
# Revision 3.13  1994/08/19  16:52:07  lindner
# Make sure that gopher.o gets recompiled when patchlevel changes
#
# Revision 3.12  1994/07/19  19:29:40  lindner
# Add INTLOPTS, add locales dir target for clean
#
# Revision 3.11  1994/07/03  21:35:42  lindner
# Add upload option to code
#
# Revision 3.10  1994/05/26  19:41:14  lindner
# Add yet another definition
#
# Revision 3.9  1994/04/25  20:47:22  lindner
# Remove html stuff from menu
#
# Revision 3.8  1994/04/25  02:16:50  lindner
# Fix for last line without newline
#
# Revision 3.7  1994/02/20  16:17:43  lindner
# Add form object file
#
# Revision 3.6  1993/09/08  05:21:22  lindner
# Add pager.c
#
# Revision 3.5  1993/08/04  22:06:35  lindner
# Rebuild client if patchlevel.h changes
#
# Revision 3.4  1993/07/27  05:28:45  lindner
# Mondo Debug overhaul from Mitra
#
# Revision 3.3  1993/04/15  21:28:25  lindner
# Mods for remote access
#
# Revision 3.2  1993/02/19  21:03:13  lindner
# Added stuff for global RC file.
#
# Revision 3.1.1.1  1993/02/11  18:02:57  lindner
# Gopher+1.2beta release
#
# Revision 1.4  1993/02/09  21:34:47  lindner
# Fixed install target
#
# Revision 1.3  1993/01/07  22:51:44  lindner
# Added download.o to list of objects
#
# Revision 1.2  1992/12/31  04:01:06  lindner
# moved html.c to html2.c for VMS
#
# Revision 1.1  1992/12/10  23:32:16  lindner
# gopher 1.1 release
#
#********************************************************************/


include ../Makefile.config

OBJS	= manager.o gopher.o globals.o ourutils.o cso.o \
	subprocs.o html2.o CURcurses.o gopherrc.o \
        download.o pager.o form.o upload.o

CCFLAGS	= $(OPT) $(DEBUGGING) $(GSYSTYPE) $(COMPAT) $(INCLUDES) \
	  $(INTLOPTS) $(CLIENTOPTS)  -DGOPHERLIB=\"$(CLIENTLIB)\" \
	 -DGOPHERHELP=\"$(CLIENTLIB)/gopher.hlp\" \
	 -DGLOBALRC=\"$(CLIENTCONF)/gopher.rc\" \
	 -DREMOTERC=\"$(CLIENTCONF)/gopherremote.rc\"

TARGET	= gopher

all:	$(TARGET)

.c.o:
	$(CC) $(CCFLAGS) -c $<

globals.o : globals.h version.h

../object/libgopher.a:
	(cd ..; $(MAKE) $(MFLAGS) objects)

$(TARGET) : $(OBJS) ../object/libgopher.a
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(CLIENTLIBS) 

install : all
	-mv $(CLIENTDIR)/$(TARGET) $(CLIENTDIR)/$(TARGET).old
	$(INSTALL_DIR) $(CLIENTDIR)
	$(INSTALL_DIR) $(CLIENTLIB)
	$(INSTALL_DIR) $(CLIENTCONF)
	$(INSTALL_BIN) $(TARGET) $(CLIENTDIR)
	$(INSTALL_LIB) gopher.rc $(CLIENTCONF)
	$(INSTALL_LIB) gopherremote.rc $(CLIENTCONF)
	$(INSTALL_LIB) gopher.hlp $(CLIENTLIB)

clean:
	-rm -f $(TARGET) $(OBJS) *.out *~ core
	(cd locales;     $(MAKE) $(MFLAGS) clean)

$(OBJS): gopher.h ../conf.h
globals.o: globals.h
gopherrc.o: ../patchlevel.h
manager.o: ../patchlevel.h
gopher.o: ../patchlevel.h

=== gopherd/Makefile ===
#********************************************************************
# lindner
# 3.22
# 1994/12/11 18:44:30
# /home/mudhoney/GopherSrc/CVS/gopher+/gopherd/Makefile,v
# Exp
#
# Paul Lindner, University of Minnesota CIS.
#
# Copyright 1991, 1992 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#********************************************************************
# MODULE: Makefile
# Makefile for gopher server
#*********************************************************************
# Revision History:
# Makefile,v
# Revision 3.22  1994/12/11  18:44:30  lindner
# Add installation of gopherd scripts
#
# Revision 3.21  1994/12/10  06:11:18  lindner
# Remove the regexp.a library..
#
# Revision 3.20  1994/12/09  18:46:34  lindner
# re-add libftw.a
#
# Revision 3.19  1994/11/29  05:08:41  lindner
# Use make macros so gmake works
#
# Revision 3.18  1994/11/24  08:08:58  lindner
# Install gopherdlocal.conf file the first time only...
#
# Revision 3.17  1994/11/18  22:26:01  lindner
# Fix for sf on NeXT machines
#
# Revision 3.16  1994/11/18  22:06:57  lindner
# Better sf wais stuff
#
# Revision 3.15  1994/11/18  21:40:49  lindner
# Simplification for FreeWAIS-sf
#
# Revision 3.14  1994/11/07  19:55:48  lindner
# Modifications to use FreeWAIS-sf package (see Makefile.config)
#
# Revision 3.13  1994/08/03  03:35:20  lindner
# One bug
#
# Revision 3.12  1994/08/03  03:33:24  lindner
# Include files in SERVERDIR
#
# Revision 3.11  1994/07/19  20:28:45  lindner
# Add INTLOPTS
#
# Revision 3.10  1994/06/29  05:43:37  lindner
# Remove tix.o, add AUTH.o
#
# Revision 3.9  1994/03/17  04:29:13  lindner
# Add pid.o
#
# Revision 3.8  1993/08/10  20:26:21  lindner
# Added fi for gopherindex install
#
# Revision 3.7  1993/08/05  22:20:19  lindner
# Only install gopherindex if built
#
# Revision 3.6  1993/08/04  22:12:01  lindner
# Rebuild server if patchlevel.h changes
#
# Revision 3.5  1993/07/27  05:27:34  lindner
# Mondo Debug overhaul from Mitra
#
# Revision 3.4  1993/07/07  19:41:00  lindner
# removed popen stuff
#
# Revision 3.3  1993/03/26  19:45:38  lindner
# Fix for parameters to makegopherindex script
#
# Revision 3.2  1993/03/24  20:17:00  lindner
# Additions for gopherindex
#
# Revision 3.1.1.1  1993/02/11  18:02:50  lindner
# Gopher+1.2beta release
#
# Revision 1.5  1993/02/09  21:35:55  lindner
# Fixed install target, save old gopherd.conf file
#
# Revision 1.4  1992/12/29  23:28:31  lindner
# Added mindexd.o to OBJS for fan-out integration.
#
# Revision 1.3  1992/12/21  20:44:37  lindner
# Added kernutils.o to OBJS (from mtm)
#
# Revision 1.2  1992/12/21  20:21:49  lindner
# Added ../bin/libftw.a to WAISGATEOBJS..
#
# Revision 1.1  1992/12/10  23:15:15  lindner
# gopher 1.1 release
#
#
#********************************************************************/
include ../Makefile.config

#
# Type of full-text searching to use....  WAIS
# requires that you have a built wais distribution.
#
# Next requires that you have the NeXTtext.tar.Z libraries.
#

LIBS	= $(SERVERLIBS)

NEXTLIBS	= -ltext -lbtree


#############################################################################

NEXTOBJ = NeXTindex.o

WAISOBJ         = ../bin/inv.a ../bin/client.a ../bin/wais.a \
                  ../ui/source.o ../bin/libftw.a
SFWAISOBJ       = ../ir/libinv.a ../ir/libclient.a ../ir/libwais.a \
		  ../ir/liblocal.a ../ir/libsig.a ../ui/source.o


CCFLAGS	= $(OPT) -DDATA_DIRECTORY=\"$(SERVERDATA)\" $(DEBUGGING) \
	-DDOMAIN_NAME=\"$(DOMAIN)\" -DGOPHER_PORT=$(SERVERPORT) \
	-DGDCDIR=\"$(SERVERCONF)\" \
	$(SEARCH) $(WAISTYPE) $(SERVEROPTS) $(INTLOPTS) $(GSYSTYPE) $(COMPAT)\
	$(INCLUDES)

OBJS	= error.o globals.o gopherd.o daemon.o special.o \
	dedot.o openers.o index.o Waisindex.o serverutil.o ftp.o \
	waisgopher.o ext.o site.o gopherdconf.o kernutils.o mindexd.o \
	authenticate.o command.o pid.o AUTH.o

TARGET	= gopherd

all:
	(cd ..; $(MAKE) $(MFLAGS) server)

#
# Special rule for NeXT text indexing, can't use gcc (yet...)
#
NeXTindex.o : NeXTindex.c
	cc $(CCFLAGS) -ObjC -I. -c NeXTindex.c


#
# Special rule for wais gateway
#
waisgopher.o: waisgopher.c
	$(CC) $(CCFLAGS) -c waisgopher.c

gopherd.o: gopherd.c ../patchlevel.h
	$(CC) $(CCFLAGS) -DCONF_FILE=\"$(SERVERCONF)/gopherd.conf\" -c gopherd.c


.c.o:
	$(CC) $(CCFLAGS) -c $<

globals.o : globals.h

$(OBJS) : ../conf.h


next: $(OBJS) $(NEXTOBJ)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(NEXTOBJ) $(DLOBJS) \
		$(LIBS) $(NEXTLIBS)
	./makegopherindex next $(SERVERDATA)

wais-sf: 
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(SFWAISOBJ) $(DLOBJS) $(LIBS)

wais-normal: 
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(WAISOBJ) $(DLOBJS) $(LIBS)

wais: $(OBJS)
	@if echo $(WAISTYPE) | grep -c -s FREEWAIS_SF>/dev/null; then \
		echo "Linking with freeWAIS-sf objects"; $(MAKE) $(MFLAGS) wais-sf; \
	else \
		echo "Linking WAIS objects (non-sf)"; $(MAKE) $(MFLAGS) wais-normal;\
	fi

	./makegopherindex wais $(SERVERDATA)


nextwais-normal:
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(NEXTOBJ) $(LIBS) \
		$(WAISOBJ) $(DLOBJS) $(NEXTLIBS)

nextwais-sf:
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(NEXTOBJ) $(LIBS) \
		$(SFWAISOBJ) $(DLOBJS) $(NEXTLIBS)


nextwais: $(OBJS) $(NEXTOBJ)
	@if echo $(WAISTYPE) | grep -c -s FREEWAIS_SF>/dev/null; then \
		echo "Linking freeWAIS-sf and NeXT objects"; $(MAKE) $(MFLAGS) nextwais-sf; \
	else \
		echo "Linking WAIS and NeXT objects (non-sf)"; $(MAKE) $(MFLAGS) nextwais-normal;\
	fi

	./makegopherindex wais $(SERVERDATA)

	./makegopherindex next $(SERVERDATA)

none: $(OBJS) 
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(DLOBJS) $(LIBS)

install : all
	-mv $(SERVERDIR)/$(TARGET) $(SERVERDIR)/$(TARGET).old
	-mv $(SERVERDIR)/gopherd.conf $(SERVERDIR)/gopherd.conf.old
	$(INSTALL_DIR) $(SERVERDIR)
	$(INSTALL_DIR) $(SERVERCONF)
	$(INSTALL_BIN)  $(TARGET) $(SERVERDIR)
	$(INSTALL_LIB)  gopherd.conf $(SERVERCONF)
	if [ ! -f $(SERVERCONF)/gopherdlocal.conf ]; then \
		$(INSTALL_LIB) gopherdlocal.conf $(SERVERCONF)/gopherdlocal.conf; \
	fi
	
	if [ -f gopherindex ]; then \
		$(INSTALL_DIR) $(CLIENTDIR); \
		$(INSTALL_BIN)  gopherindex $(CLIENTDIR); \
	fi
	-rm	$(SERVERDIR)/gopherls $(SERVERDIR)/gindexd
	-ln     -s $(SERVERDIR)/$(TARGET) $(SERVERDIR)/gopherls
	-ln     -s $(SERVERDIR)/$(TARGET) $(SERVERDIR)/gindexd
	(cd scripts; $(MAKE) $(MFLAGS) install)

clean:
	-rm -f $(TARGET) $(OBJS) $(NEXTOBJ) *.out *~ core gopherindex

=== gophfilt/Makefile ===
#
# @(#)Makefile	1.1
#
# Makefile for gopher filter client
#


include ../Makefile.config

OBJS	= gophfilt.o

CCFLAGS	= $(OPT) $(GSYSTYPE) $(COMPAT) $(INTLOPTS) $(INCLUDES)

TARGET	= gophfilt

all:	$(TARGET)

.c.o:
	$(CC) $(CCFLAGS) -c $<

../object/libgopher.a:
	(cd ..; $(MAKE) $(MFLAGS) objects)

$(TARGET) : $(OBJS) ../object/libgopher.a
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(CLIENTLIBS) 

install : all
	-mv $(CLIENTDIR)/$(TARGET) $(CLIENTDIR)/$(TARGET).old
	$(INSTALL_DIR) $(CLIENTDIR)
	$(INSTALL_BIN) $(TARGET) $(CLIENTDIR)

clean:
	-rm -f $(TARGET) $(OBJS) *.out *~ core

$(OBJS): ../object/GSgopherobj.h ../conf.h

=== object/Makefile ===
include ../Makefile.config

CCFLAGS	= $(OPT) $(COMPAT) $(GSYSTYPE) $(INTLOPTS) $(DEBUGGING) $(WAISTYPE) -I. 

OBJS	= STRstring.o GDgopherdir.o GSgopherobj.o \
	  DAarray.o   VIews.o       BLblock.o \
	  Sockets.o   util.o        compatible.o \
	  url.o       Debug.o       Regex.o \
	  fileio.o    Locale.o


TARGET	= libgopher.a libgopher.so.0.1

all: shared $(TARGET)

#
# Make shared library directories
#
shared:
	@-if [ -f /lib/ld.so -a "$(CC)" = "cc" -a "$(SHAREDLIB)" = "sun" ]; \
	then \
		mkdir shared-sun; \
	fi
	touch shared


.c.o: $(OBJS)
	$(CC) $(CCFLAGS) $(PIC) -c $<
	@-if [ -d shared-sun ]; then \
		echo "Building shared version of $@"; \
		$(CC) $(CCFLAGS) -pic -o shared-sun/$@ -c $<; \
	fi

#
# Stuff for shared libraries
#

libgopher.so.0.1: $(OBJS)
	@-if [ -d shared-sun ]; then \
		echo "Building shared library $@"; \
		cd shared-sun; \
		rm -f $@; \
		ld -o $@ -assert pure-text $(OBJS);\
		mv $@ ..; \
	fi

libgopher.sa.0.1: $(OBJS)
	;


libgopher.a: $(OBJS)
	rm -f libgopher.a
	ar rcv libgopher.a $(OBJS)
	$(RANLIB) libgopher.a

clean:
	-rm -f $(TARGET) $(OBJS) *.out *~ core TAGS \
	       *.sa.* shared
	-rm -rf shared-sun

#STRstring.o: 	STRstring.h
#GDgopherdir.o: 	GDgopherdir.h
#GSgopherobj.o:	GSgopherobj.h


Locale.o: Locale.h Locale.c
	$(CC) $(CCFLAGS) $(PIC) -DLOCALEDIR=\"$(CLIENTLIB)/gophernls\" -c Locale.c
	@-if [ -d shared-sun ]; then \
		echo "Building shared version of $@"; \
		$(CC) $(CCFLAGS) -DLOCALEDIR=\"$(CLIENTLIB)/gophernls\" \
			-pic -o shared-sun/$@ -c $<; \
	fi

#
#install shared libraries if need be..
#
install:
	@-if [ -f *.so.* ]; then \
	  echo "Installing Sun shared gopher library" ;\
	  $(INSTALL) libgopher.so.0.1 $(CLIENTLIB);\
	  $(INSTALL) libgopher.a $(CLIENTLIB); \
	fi

=== test/Makefile ===
include ../Makefile.config

GFILT = ../gophfilt/gophfilt -h localhost -s 9999 -p 

test-nonroot:
	@echo "Building test.conf file"
	@-rm -f test.conf
	@cat <test.raw >test.conf
	@echo "auxconf: /auxconf `pwd`/otheradmin.conf" >>test.conf
	@echo "Starting test gopher server on port 9999"
	../gopherd/gopherd -C -o test.conf -c `pwd`/data 9999
	@sleep 5

	-@rm -f ./results/root ./results/root-long \
		./results/links ./results/links-long
	$(GFILT) "" -t 1         >./results/root
	$(GFILT) "" -i '$$' -t 1 >./results/root-long
	$(GFILT) "" -i '!' -t 1  >./results/root-info

	$(GFILT) "1/links" -t 1         >./results/links
	$(GFILT) "1/links" -i '$$' -t 1 >./results/links-long
	$(GFILT) "1/links" -i '!' -t 1  >./results/links-info
	
	$(GFILT) "1/auxconf" -t 1         >./results/aux
	$(GFILT) "1/auxconf" -i '$$' -t 1 >./results/aux-long
	$(GFILT) "1/auxconf" -i '!' -t 1  >./results/aux-info

	$(GFILT) "1/views" -t 1         >./results/views
	$(GFILT) "1/views" -i '$$' -t 1 >./results/views-long
	$(GFILT) "1/views" -i '!' -t 1  >./results/views-info
	$(GFILT) "0/views/t-shirt" -t 0  >./results/views-txt

	$(GFILT) "0/decode-n-scripts/C-Programming" -t 0  >./results/views-txt
	(cd results; for fname in [a-z]*; do ; \
             diff -c $fname ../good-results/$fname; done)

	

all: test-nonroot
	@echo "Now type make diffs to find any differences"

	
diffs:
	-@diff -c good-results results

=== gopherd/scripts/Makefile ===
#######################################################################
# lindner
# 1.2
# 1994/12/11 18:07:39
# /home/mudhoney/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v
# Exp
#
# Paul Lindner, University of Minnesota DCS.
#
# Copyright 1994 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#######################################################################
# MODULE: Makefile for scripts
#######################################################################
# Revision History:
# Makefile,v
# Revision 1.2  1994/12/11  18:07:39  lindner
# More intelligent install routines
#
#
#######################################################################


SCRIPTFILES = add-account add-account.ask

include ../../Makefile.config

install:
	@if [ ! -d $(SERVERDATA) ]; then \
		echo "No scripts installed, no such directory $(SERVERDATA)";\
	else \
		$(INSTALL_DIR) $(SERVERDATA)/bin ;\
		cp $(SCRIPTFILES) $(SERVERDATA)/bin ;\
	fi

clean:
	-rm -f $(OBJS) *.out *~ core

## gopher 2.3

=== test/Makefile ===
--- 
+++ 
@@ -31,10 +31,8 @@
 	$(GFILT) "0/views/t-shirt" -t 0  >./results/views-txt
 
 	$(GFILT) "0/decode-n-scripts/C-Programming" -t 0  >./results/views-txt
-	(cd results; for fname in [a-z]*; do ; \
-             diff -c $fname ../good-results/$fname; done)
-
-	
+	$(GFILT) "m/cowmail" -t 1 >./results/mailfile
+	$(GFILT) "m/fileseparator" -t 1 >./results/filesep	
 
 all: test-nonroot
 	@echo "Now type make diffs to find any differences"

=== gopherd/icons/Makefile ===
#######################################################################
# $Author: lindner $
# $Revision: 1.1 $
# $Date: 1995/06/14 18:44:06 $
# $Source: /home/arcwelder/GopherSrc/CVS/gopher+/gopherd/icons/Makefile,v $
# $State: Exp $
#
# Paul Lindner, University of Minnesota DCS.
#
# Copyright 1994 by the Regents of the University of Minnesota
# see the file "Copyright" in the distribution for conditions of use.
#######################################################################
# MODULE: Makefile for icons
#######################################################################
# Revision History:
# $Log: Makefile,v $
# Revision 1.1  1995/06/14  18:44:06  lindner
# Install icons
#
# Revision 1.3  1995/02/17  18:30:00  lindner
#
#######################################################################


include ../../Makefile.config

install:
	@-if [ ! -d $(SERVERDATA) ]; then \
		echo "No icons installed, no such directory $(SERVERDATA)";\
	else \
		mkdir $(SERVERDATA)/lib ;\
		cp htmlicon* $(SERVERDATA)/lib/ ;\
	fi

clean:
	-rm -f $(OBJS) *.out *~ core

=== gopherd/scripts/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #######################################################################
-# lindner
-# 1.2
-# 1994/12/11 18:07:39
-# /home/mudhoney/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v
-# Exp
+# $Author: lindner $
+# $Revision: 1.3 $
+# $Date: 1995/02/17 18:30:00 $
+# $Source: /home/arcwelder/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v $
+# $State: Exp $
 #
 # Paul Lindner, University of Minnesota DCS.
 #
@@ -13,7 +13,10 @@
 # MODULE: Makefile for scripts
 #######################################################################
 # Revision History:
-# Makefile,v
+# $Log: Makefile,v $
+# Revision 1.3  1995/02/17  18:30:00  lindner
+# Fix install for go4gw-type scripts
+#
 # Revision 1.2  1994/12/11  18:07:39  lindner
 # More intelligent install routines
 #
@@ -26,11 +29,20 @@
 include ../../Makefile.config
 
 install:
-	@if [ ! -d $(SERVERDATA) ]; then \
+	@-if [ ! -d $(SERVERDATA) ]; then \
 		echo "No scripts installed, no such directory $(SERVERDATA)";\
 	else \
-		$(INSTALL_DIR) $(SERVERDATA)/bin ;\
+		mkdir $(SERVERDATA)/bin ;\
 		cp $(SCRIPTFILES) $(SERVERDATA)/bin ;\
+		cp -r gateways $(SERVERDATA)/bin ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2archie.gd $(SERVERDATA)/bin/gateways/g2archie.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2finger.gd $(SERVERDATA)/bin/gateways/g2finger.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2ftphack.gd $(SERVERDATA)/bin/gateways/g2ftphack.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2geo.gd $(SERVERDATA)/bin/gateways/g2geo.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2netfind.gd $(SERVERDATA)/bin/gateways/g2netfind.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2nntp.gd $(SERVERDATA)/bin/gateways/g2nntp.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2webster.gd $(SERVERDATA)/bin/gateways/g2webster.gpd ;\
+		ln -s $(SERVERDATA)/bin/gateways/g2whois.gd $(SERVERDATA)/bin/gateways/g2whois.gpd ;\
 	fi
 
 clean:

## gopher 3.0.3woody2

=== debian/changelog ===
gopher (3.0.3woody2) stable-security; urgency=high

  * Non-maintainer upload for the Security Team.
  * Fix integer overflow vulnerability [gopherd/command.c, CAN-2004-0560]
  * Fix format string vulnerability [gopherd/ftp.c, CAN-2004-0561]
  * Sponsored by Martin Schulze <joey@debian.org>. Thank you!

 -- Uli Martens <uli@youam.net>  Wed,  4 Jan 2004 19:30:00 +0100

gopher (3.0.3woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix multiple buffer overflows in FTP handling code and 
    authentication code. (CAN-2003-0805)
 
 -- Steve Kemp <sxk@debian.org>  Thu, 18 Sep 2003 21:44:17 +0000

gopher (3.0.3) unstable; urgency=low
  * Patches for FreeBSD:
    * Test in configure for stdlib.h
    * Include stdlib.h if it's available in Malloc.h
    * Don't include malloc.h if it's missing in Malloc.h
    * Don't include strcasestr if it's present in util.c and util.h
  * Actually use our configure.in test for malloc.h in object/* files.
  * New configure.in tests for regexp.h and libgen.h
  * Regex.c: define __GOPHER_REGEX_C__ for extern support in Regex.h
  * Regex.c: For __APPLE__, REGEX_param is regexp *.
  * Regex.h: Move the lengthy SYSV regex test to top of file
  * Regex.h: Wrap libgen.h include in HAVE_LIBGEN_H
  * Regex.h: Enclose REGEX_param=regcomp in parens to avoid warnings
  * Regex.h: Add extern for REGEX_param.
  * Regex.h: Darwin is unlike anything else.  Support it with
    __APPLE__.
  * STRstring.h: Include malloc.h only if actually here.
  * Ditto for Stdlib.h.
  * Added /etc/logrotate.d/gopherd to gopherd.conffiles.
    Closes: #132804.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Feb 2002 07:45:00 -0500

gopher (3.0.2) unstable; urgency=low

  * gopher: Removed processing of . at end of text files.  It would stop
    downloading when it would see ".\n" in a file.  Will need to modify
    gopher/ourutils.c:937 area to deal with this properly -- ignore
    .\n if it's at the end of the file, otherwise preserve it.
    Reported by Ashok Aiyar <aiyar@ebv.mimnet.nwu.edu>
  * Did the modification as described above.
  * Updated README.
  * Global change gopher@boombox.micro.umn.edu -> gopher@complete.org
  * Removed ./GPL.  This info is now in the file COPYING.
  * Changes to work with Solaris:
    * configure.in: Now looks for strings.h and string.h
    * object/Regex.h: Now include re_comp.h if available.
      Include regex.h only if re_comp.h is unavailable.
      Define the SYSVREGEX stuff only if HAVE_RE_COMP_H is not defined
    * object/String.h: Include string.h and strings.h based on configure
      test.
    Reports from Don Fike <fike@cs.utk.edu>
  * Added doc/PLATFORMS and updated debian/docs
  * gopherd.conf's include of gopherdlocal.conf was hardcoded to /etc.
    Now use configure's sysconfdir to generate it.  Moved gopherd.conf
    to gopherd.conf.in, modified Makefile.in to support this, removed
    gopherd.conf from source tree.  Reported by Kevin Griffin
    <vertov@artstar.com>
  * Added lines to gopherd.conf.in for .ogg and .mp2 files.
    Suggestion from Kevin Griffin <vertov@artstar.com>
  * Using $(INSTALL) from subdirectories broke on systems
    where install-sh was used because $(INSTALL) would always
    resolve to ./install-sh.  Replaced all instances of
    $(INSTALL) with @INSTALL@ (autoconf would provide the correct
    path) and removed INSTALL from Makefile.config.  Reported
    by Don Fike <fike@cs.utk.edu> on Solaris 2.6. 
  * Updated our copy of install-sh with the one from
    a current automake.
  * Updated patchlevel.h for release of 3.0.2.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2002 07:45:00 -0500

gopher (3.0.1) unstable; urgency=low

  * Installation routines modified -- pass -d to install to create
    config dirs.  This should fix installation problems.
  * Use sysconfigdir rather that $(DESTDIR)/etc for config files.
  * Fix a bug with specifying the gopher host on the command line.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Jan 2002 07:30:00 -0500

gopher (3.0.0-1) unstable; urgency=low

  * Patched to work with Hurd.  Closes: #115511.  Uses
    suggestions from James Morrison <ja2morri@student.math.uwaterloo.ca>
    but not his patch.
    * gopher.c, gopherd/error.c, gopher/download.c:
      Modified to use HAVE_STRERROR
    * configure.in: Modified with checks for sys/param.h, HURD header files,
      get_current_dir_name, etc.
    * configure.h.in, configure: rebuilt.
  * Moved the current UMN Copyright notice in "COPYING" into "copyright"
  * Updated copyright files, etc. with current info.
  * Updated the locales with semi-current copyright stuff.
  * Updated greeting in gopher and gopherd.
  * This is Gopher 3.0.0, the Furry Terror release.  

 -- John Goerzen <jgoerzen@complete.org>  Tue,  8 Jan 2002 15:31:00 -0500

gopher (2.3.1-15) unstable; urgency=low

  * NetBSD port effort began.
  * Added crypt.h to configure.in's list of headers to look for.
    Reran autoconf/autoheader.
  * Modified gopherd/AUTH.h to include crypt.h only if it's available
    and to include unistd.h if it's available.  (NetBSD)
  * Integrated patches from David Allen <s2mdalle@titan.vcu.edu>
    (may have been done earlier anyway)
  * config.h.in: rebuilt by autoheader
  * configure: rebuilt by autoconf
  * configure.in:
    * Added REGEXLIBS test for NetBSD -- look for re_comp in -lcompat
    * Added checkes for term.h, re_comp.h, regex.h
  * gopher/ourutils.c, gopher/CURcurses.c: Use term.h check
  * gopher/Makefile.in, gopherd/Makefile.in, gophfilt/Makefile.in:
    * Use REGEXLIBS
  * gopher/globals.h, gopher/gopher.c: Remove sys_errlist
  * object/GSgopherobj.c: Removed <regex.h> #include, now use
    "Regex.h" that has proper regex determining logic
  * object/Regex.h: Moved regex.h include to here.  Make it conditional
    based on configure test.  Add conditional re_comp.h include.
  * gopherd/gopherd.c: Add init of view and filter after setjmp


=== debian/control ===
Source: gopher
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf

Package: gopher
Provides: gopher-client
Architecture: any
Depends: ${shlibs:Depends}
Description: Distributed Hypertext Client, Gopher protocol
 This package contains the client for the distributed global directory
 and hypertext system known as gopher.  This is a text-based (ncurses)
 client from the University of Minnesota.  It also supports the gopher+
 protocol, as well as links to ftp, http, and other external viewers.

Package: gopherd
Architecture: any
Provides: gopher-server
Depends: ${shlibs:Depends}, logrotate
Suggests: gopher
Description: Gopher server
 The UMN gopher server.  This server is a robust and full-featured
 gopher and gopher+ server with a HTTP mode as well.  It features
 support for indexing, ASK blocks, .Links files, .names files, .cap support,
 and pretty much any gopher feature you could imagine.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# autoconf
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --disable-auth \
		--sysconfdir=/etc

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) clean
	-rm -f `find . -name "config.cache"`
	-rm -f config.status
	-rm -f `find . -name "config.log"`
	-rm -f Makefile.config gopher/Makefile gopher/locales/Makefile \
		Makefile config.h doc/Makefile gopherd/Makefile \
		gophfilt/Makefile object/Makefile

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/tmp/usr \
		PREFIX=`pwd`/debian/tmp/usr \
		DESTDIR=`pwd`/debian/tmp

	chmod -R a-x debian/tmp/etc

	dh_movefiles
	cp debian/startopts debian/gopherd/etc/gopherd/startopts
	chmod u+x debian/tmp/etc/gopher debian/tmp/etc \
		debian/gopherd/etc/gopherd
	rmdir debian/tmp/etc/gopherd

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 2.0.103
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
	dh_installlogrotate
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installlogrotate
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

## gopher 3.0.3woody4

=== gopherd/scripts/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #######################################################################
-# $Author: lindner $
-# $Revision: 1.3 $
-# $Date: 1995/02/17 18:30:00 $
-# $Source: /home/arcwelder/GopherSrc/CVS/gopher+/gopherd/scripts/Makefile,v $
+# $Author: jgoerzen $
+# $Revision: 1.1.1.1 $
+# $Date: 2000/08/19 00:28:56 $
+# $Source: /var/cvs/gopher/gopherd/scripts/Makefile,v $
 # $State: Exp $
 #
 # Paul Lindner, University of Minnesota DCS.
@@ -14,6 +14,9 @@
 #######################################################################
 # Revision History:
 # $Log: Makefile,v $
+# Revision 1.1.1.1  2000/08/19 00:28:56  jgoerzen
+# Import from UMN Gopher 2.3.1 after GPLization
+#
 # Revision 1.3  1995/02/17  18:30:00  lindner
 # Fix install for go4gw-type scripts
 #

=== debian/changelog ===
gopher (3.0.3woody4) oldstable-security; urgency=high

  * Non-maintainer uploda by the Security Team
  * Fix buffer overflow when dealing with malicious servers.
    [CAN-2005-2772]
 
 -- Steve Kemp <skx@debian.org>  Sun, 25 Sep 2005 12:08:22 +0000
 

gopher (3.0.3woody3) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by John Goerzen to fix insecure temporary file creation
    [gopher/gopher.c, CAN-2005-1853]

 -- Martin Schulze <joey@infodrom.org>  Sat, 23 Jul 2005 15:40:22 +0200

## gopher 3.0.6

=== debian/changelog ===
gopher (3.0.6) unstable; urgency=low

  * Deprecated gopherd in favor of PyGopherd.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 12:11:17 -0500

gopher (3.0.5) unstable; urgency=low

  * Integrated my patch to 3.0.4 for Solaris compilation.
  * Logging with chroot has long since been fixed; added a note to
    startopts about other chroot stuff.  Closes: #82590, #82591.
  * Gopherd sometimes sent "+INFO " instead of "+INFO: ".  Fixed.
    Closes: #142912.
  * doc/Makefile.in: Install manpages 0644 instead of 0755.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Apr 2002 09:09:55 -0500

gopher (3.0.4) unstable; urgency=low
  * MAJOR rewrite of regex support.  This should make gopher
    compile and work better on several platforms.
  * Added regcomp and regree func checks to configure.in and
    regenerated configure and config.h
  * Removed the DOMAIN configure support, DOMAIN_NAME in gopherd,
    backupdomain in Socket.c, etc.  This should prevent the no.domain.name
    problem that people have been seeing.  Regenerated configure stuff.
  * Added line for .png to gopherd.conf.in
  * Added note about UFS builds on MacOS X to doc/PLATFORMS
  * Added FAQ and modified debian/docs
  * Updated gopherd.8 with information about type 'i'
  * Fixed gopher's URL handling -- it was missing the type character.
    Closes: #138337.
  * Another regex change.  Let's hope this fixes things for Solaris.
  * Fixed to properly calculated first arg to select in gopherd.c

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Mar 2002 13:08:39 -0500

=== debian/control ===
Source: gopher
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf

Package: gopher
Provides: gopher-client
Architecture: any
Depends: ${shlibs:Depends}
Description: Distributed Hypertext Client, Gopher protocol
 This package contains the client for the distributed global directory
 and hypertext system known as gopher.  This is a text-based (ncurses)
 client from the University of Minnesota.  It also supports the gopher+
 protocol, as well as links to ftp, http, and other external viewers.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	# autoconf
+	autoconf
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc
@@ -47,7 +47,7 @@
 	-rm -f config.status
 	-rm -f `find . -name "config.log"`
 	-rm -f Makefile.config gopher/Makefile gopher/locales/Makefile \
-		Makefile config.h doc/Makefile gopherd/Makefile \
+		Makefile config.h doc/Makefile \
 		gophfilt/Makefile object/Makefile
 
 	dh_clean
@@ -67,10 +67,7 @@
 	chmod -R a-x debian/tmp/etc
 
 	dh_movefiles
-	cp debian/startopts debian/gopherd/etc/gopherd/startopts
-	chmod u+x debian/tmp/etc/gopher debian/tmp/etc \
-		debian/gopherd/etc/gopherd
-	rmdir debian/tmp/etc/gopherd
+	chmod u+x debian/tmp/etc/gopher debian/tmp/etc 
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.

## gopher 3.0.7

=== debian/changelog ===
gopher (3.0.7) unstable; urgency=low

  * Use Autoconf 2.13 on Debian systems.  Closes: #206183.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Aug 2003 12:59:02 -0500

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	autoconf
+	autoconf2.13
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc

## gopher 3.0.7sarge2

=== debian/changelog ===
gopher (3.0.7sarge2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix buffer overflow when dealing with malicious servers.
    [CAN-2005-2772]

 -- Steve Kemp <skx@debian.org>  Sun, 25 Sept 2005 10:36:10 +0000

gopher (3.0.7sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by John Goerzen to fix insecure temporary file creation
    [gopher/gopher.c, CAN-2005-1853]

 -- Martin Schulze <joey@infodrom.org>  Sat, 23 Jul 2005 16:55:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Standards-Version: 3.1.1
-Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf
+Build-Depends: debhelper, libc-dev, c-compiler, make, ncurses-dev, autoconf2.13
 
 Package: gopher
 Provides: gopher-client

## gopher 3.0.8

=== debian/changelog ===
gopher (3.0.8) unstable; urgency=low

  * Fix compile error with gcc 3.4.  Closes: #258752.
  * Fixed warnings relating to prototypes.  In download.c,
    prefer getcwd() to get_current_dir_name().  Closes: #226552.
  * No longer crash on problems piping to external programs.
    Thanks, Goeran Weinholt, for the patch.  Closes: #128990.
  * Install makes dirs for manpages if they don't already exist.
    Combined with other fixes in this version and prior versions,
    all bugs in 142913 are resolved.  Closes: #142913.
  * [debian] Removed build-deps on build-essential packages.
    Closes: #262423.
  * [debian] Updated standards-version and to new debhelper.
  * Fixed a small memory leak in download.c.
  * Fix potential insecure /tmp usage in gopher.c.
  * Use socklen_t instead of int for socket length operations,
    avoiding warnings about incorrect signedness.
  * Updated copyright files.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:41:40 -0500

## gopher 3.0.9

=== debian/changelog ===
gopher (3.0.9) unstable; urgency=low

  * Updated version number in patchlevel.h.  (Oops, it still says 3.0.5)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 20 Jul 2005 05:55:50 -0500

## gopher 3.0.10

=== debian/changelog ===
gopher (3.0.10) unstable; urgency=low

  * Version 3.0.8 fixed the security bug that was later submitted
    as CAN-2005-1853 and DSA-770-1.
  * The upload for this changelog notice was requested by the Debian 
    testing-security team.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 30 Jul 2005 16:16:07 -0500

## gopher 3.0.11

=== debian/changelog ===
gopher (3.0.11) unstable; urgency=high

  * [security] Fix for client buffer overflows [CAN-2005-2772].

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Sep 2005 05:24:02 -0500

## gopher 3.0.13

=== debian/changelog ===
gopher (3.0.13) unstable; urgency=low

  * More changes to download.c to prefer getcwd() to get_current_dir_name().
    Closes: #366560.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 17 Jun 2006 11:10:31 -0500

gopher (3.0.12) unstable; urgency=low

  * Applied patch to make it build for Hurd.  Closes: #346447.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 May 2006 10:37:49 -0500

=== debian/control ===
Source: gopher
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.0.0), ncurses-dev, autoconf2.13

Package: gopher
Provides: gopher-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Hypertext Client, Gopher protocol
 This package contains the client for the distributed global directory
 and hypertext system known as gopher.  This is a text-based (ncurses)
 client from the University of Minnesota.  It also supports the gopher+
 protocol, as well as links to ftp, http, and other external viewers.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -20,6 +20,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	autoconf2.13
+	autoheader2.13
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc
@@ -59,22 +60,21 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install prefix=`pwd`/debian/tmp/usr \
-		PREFIX=`pwd`/debian/tmp/usr \
-		DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/gopher.
+	$(MAKE) install prefix=`pwd`/debian/gopher/usr \
+		PREFIX=`pwd`/debian/gopher/usr \
+		DESTDIR=`pwd`/debian/gopher
 
-	chmod -R a-x debian/tmp/etc
+	chmod -R a-x debian/gopher/etc
 
-	dh_movefiles
-	chmod u+x debian/tmp/etc/gopher debian/tmp/etc 
+	#dh_movefiles
+	chmod u+x debian/gopher/etc/gopher debian/gopher/etc 
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
 binary-indep: DH_OPTIONS=-i
 binary-indep: build install
 	# Need this version of debhelper for DH_OPTIONS to work.
-	dh_testversion 2.0.103
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -94,7 +94,6 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
 	dh_installdeb
 #	dh_perl
 	dh_gencontrol
@@ -106,7 +105,6 @@
 binary-arch: DH_OPTIONS=-a
 binary-arch: build install
 	# Need this version of debhelper for DH_OPTIONS to work.
-	dh_testversion 1.1.17
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -127,7 +125,6 @@
 	dh_compress
 	dh_fixperms
 	# You may want to make some executables suid here.
-	dh_suidregister
 	dh_installdeb
 #	dh_makeshlibs
 #	dh_perl

## gopher 3.0.14

=== debian/changelog ===
gopher (3.0.14) unstable; urgency=medium

  * Fix Debian (Closes: #798758) thanks to patch from Axel Beckert
    + Use autoconf and gnulib instead of autoconf2.13.
    + debian/rules: configure-stamp is a dependency of build-stamp, not build.
    + debian/rules: Add symlink to /usr/share/gnulib/lib/getloadavg.c and
      remove it again in the clean target.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 11:47:19 -0600

## gopher 3.0.15

=== debian/changelog ===
gopher (3.0.15) unstable; urgency=medium

  * Correct possible segfault in option parsing.  Closes #715977, #715978.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Nov 2015 19:00:08 -0600

## gopher 3.0.15build1

=== debian/changelog ===
gopher (3.0.15build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 4.0.0), ncurses-dev, autoconf2.13
+Build-Depends: debhelper (>= 4.0.0), ncurses-dev, autoconf, gnulib
 
 Package: gopher
 Provides: gopher-client

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,17 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	autoconf2.13
-	autoheader2.13
+	autoconf
+	autoheader
+	ln -vs /usr/share/gnulib/lib/getloadavg.c .
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-auth \
 		--sysconfdir=/etc
 
 	touch configure-stamp
 
-build: configure-stamp build-stamp
-build-stamp:
+build: build-stamp
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -49,7 +50,7 @@
 	-rm -f `find . -name "config.log"`
 	-rm -f Makefile.config gopher/Makefile gopher/locales/Makefile \
 		Makefile config.h doc/Makefile \
-		gophfilt/Makefile object/Makefile
+		gophfilt/Makefile object/Makefile getloadavg.c
 
 	dh_clean
